summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMichael Buesch <mb@bu3sch.de>2011-01-12 01:10:54 +0100
committerMichael Buesch <mb@bu3sch.de>2011-01-12 01:10:54 +0100
commitdfae6b58a5aaeb8ea2021c7d101e69d792945921 (patch)
treee9df0d52f0d7791ae2b1f1c98e7b3695297dcce3 /tests
parent2e874e1b301f147239ba68c77bd1e62e87258f58 (diff)
downloadtoprammer-dfae6b58a5aaeb8ea2021c7d101e69d792945921.tar.xz
toprammer-dfae6b58a5aaeb8ea2021c7d101e69d792945921.zip
Add hm62256 selftest
Signed-off-by: Michael Buesch <mb@bu3sch.de>
Diffstat (limited to 'tests')
-rw-r--r--tests/top2049/004-hm62256dip28.test16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/top2049/004-hm62256dip28.test b/tests/top2049/004-hm62256dip28.test
new file mode 100644
index 0000000..deb865c
--- /dev/null
+++ b/tests/top2049/004-hm62256dip28.test
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+function test_init
+{
+ request_DUT "hm62256dip28" || return 1
+ return 0
+}
+
+function test_run
+{
+ local args="-c hm62256dip28 -I bin -O bin"
+
+ toprammer $args --write-ram "$testfile_32k"
+ toprammer $args --read-ram "$tmpfile"
+ compare_files "$testfile_32k" "$tmpfile" || die "RAM mismatch"
+}
bues.ch cgit interface